slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPQArnoldiGetLocking

Gets the locking flag used in the Q-Arnoldi method.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPQArnoldiGetLocking(PEP pep,PetscBool *lock)

Not Collective

### Input Parameter

| pep | - the eigenproblem solver context

### Output Parameter

| lock | - the locking flag

### See Also

PEPQArnoldiSetLocking()

### Level

advanced

### Location

src/pep/impls/krylov/qarnoldi/qarnoldi.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages